<?php

	class XenStaff_Option_Group
	{

		public static function renderOption(XenForo_View $view, $fieldPrefix, array $preparedOption, $canEdit)
		{

			$preparedOption['formatParams'] = XenForo_Model::create('XenStaff_Model_UserGroupOptions')->getUserGroupOptions(
			$preparedOption['option_value']
			);

			return XenForo_ViewAdmin_Helper_Option::renderOptionTemplateInternal(
			'option_list_option_checkbox',
			$view, $fieldPrefix, $preparedOption, $canEdit
			);

		}

	}